package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicAverageExpectedRate {
    public static final String DEATH = "死亡率";
    public static final String BIRTH = "出生率";
    public static final String INCREASE = "自然增长率";

    private static DicAverageExpectedRate instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAverageExpectedRate(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DEATH, DEATH);
        dicMap.put(BIRTH, BIRTH);
        dicMap.put(INCREASE, INCREASE);
    }

    public static DicAverageExpectedRate getInstacne(){
        if (instance == null)
        {
            instance = new DicAverageExpectedRate();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
